﻿@model HDY_20113_Jinatchapak.Models.Category

@{
    ViewBag.Title = "Edit";
}
@using Microsoft.AspNet.Identity
<h2>แก้ไขประเภทสินค้า</h2>
<div>
    @*Html.ActionLink("Back to List", "Index")*@
    <a href="/Categories" class="btn btn-outline-primary float-right">ย้อนกลับ</a>
    <a href="/Categories/Details/@Model.CategoryId" class="btn btn-outline-info float-right" style="margin-right:5px;">รายละเอียด</a>
</div>
<hr style="margin-top:60px" />
@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

    <div class="container h-100">
        <div class="row h-100 justify-content-center align-items-center">
            <div class="col-10 col-md-8 col-lg-6">
                @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                @Html.HiddenFor(model => model.CategoryId)

                <div class="form-group">
                    @Html.LabelFor(model => model.CategoryName)
                    <div class="col-md-10">
                        @Html.EditorFor(model => model.CategoryName, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.CategoryName, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group">
                    @Html.LabelFor(model => model.ActiveFlag)
                    <div class="col-md-10">
                        @Html.EditorFor(model => model.ActiveFlag, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.ActiveFlag, "", new { @class = "text-danger" })
                    </div>
                </div>


                @Html.EditorFor(model => model.CreatedBy, new { htmlAttributes = new { @Type = "hidden", @class = "form-control" } })


                UpdatedBy:<input type="text" name="UpdatedBy" id="upId" value="@User.Identity.GetUserId()" />

                <button type="reset" class="btn btn-outline-danger float-right" style="margin-top:15px"> ยกเลิก</button>
                <button type="submit" class="btn btn-outline-info float-right" style="margin-right:5px; margin-top:15px">บันทึก</button>
            </div>

          

             
   
        </div>
    </div>
}

